%define desktop_file 1
%define desktop_file_utils_version 0.2.93

Summary: An image viewer.
Name: gqview
Version: 1.2.1
Release: 6
License: GPL
Group: User Interface/X
Source: http://www.geocities.com/SiliconValley/Haven/5235/gqview-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

URL: http://gqview.sourceforge.net/

Requires: gtk+ >= 1.2
Requires: imlib >= 1.9
BuildRequires: gdk-pixbuf-devel
%if %{desktop_file}
Requires: %{_bindir}/desktop-file-install
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
%endif
## we need this gnome-libs to get one rebuilt for execshield
BuildRequires: gnome-libs-devel >= 1:1.4.1.2.90-35
# %%build section uses perl, we need to require it.
BuildRequires: perl

%description
GQview is an image viewer for browsing through graphics files. GQview
features include single click file viewing, support for external
editors, previewing images using thumbnails, and zoom.

Install GQview if you need an image viewer.

%prep
%setup -q

%build
perl -pi -e 's-^AC_DEFINE_UNQUOTED(GQVIEW_HELPDIR, "$prefix/share/gqview")-AC_DEFINE_UNQUOTED(GQVIEW_HELPDIR, "%{_docdir}/%{name}-%{version}")-g' configure.in ||:
perl -pi -e 's,^#define GQVIEW_HELPDIR "\$prefix/share/gqview",#define GQVIEW_HELPDIR "%{_docdir}/%{name}-%{version}",g' configure ||:
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall GNOME_DATADIR=$RPM_BUILD_ROOT%{_datadir}
# make GNOME_DATADIR=$RPM_BUILD_ROOT%{_datadir} prefix=$RPM_BUILD_ROOT%{_prefix} install

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor gnome \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--add-category "Application;Graphics;X-Red-Hat-Extra" \
	$RPM_BUILD_ROOT%{_datadir}/gnome/apps/Graphics/gqview.desktop

perl -pi -e 's/Name=GQview/Name=GQview Image Viewer/g' $RPM_BUILD_ROOT%{_datadir}/applications/gnome-gqview.desktop
perl -pi -e 's/Comment=Image Viewer/Comment=View and organize images/g' $RPM_BUILD_ROOT%{_datadir}/applications/gnome-gqview.desktop

# Remove unpackaged file from buildroot
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Graphics/gqview.desktop
%endif
# Remove unpackaged file from buildroot
rm -f $RPM_BUILD_ROOT%{_datadir}/gqview/README

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING TODO 
%{_bindir}/gqview
%{_mandir}/man1/gqview.1*
%{_datadir}/pixmaps/gqview.png
%if %{desktop_file}
%{_datadir}/applications/gnome-gqview.desktop
%else
%{_datadir}/gnome/apps/Graphics/gqview.desktop
%endif

%changelog
* Mon Oct 27 2003 Havoc Pennington <hp@redhat.com> 1.2.1-6
- rebuild for execshield

* Sun Oct 19 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add a %%clean specfile target

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May  1 2003 Elliot Lee <sopwith@redhat.com> 1.2.1-4
- Use configure macro

* Thu Feb  6 2003 Havoc Pennington <hp@redhat.com> 1.2.1-3
- 1.2.1

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 17 2003 Havoc Pennington <hp@redhat.com>
- fixup menu entry, #82129

* Thu Jan  9 2003 Havoc Pennington <hp@redhat.com>
- 1.2.0

* Thu Nov 28 2002 Mike A. Harris <mharris@redhat.com> 1.0.2-3
- Cleaned up specfile to use standard RPM macros _bindir, _datadir, etc.
- Fixed build problem for if desktop_file define is set to 0
- Remove unpackaged files from buildroot
- Add previously unpackaged gqview manpage
- s/Copyright/License/
- use makeinstall macro

* Mon Jul 29 2002 Karsten Hopp <karsten@redhat.de> 1.0.2-2
- remove --add-only-show-in GNOME 

* Tue Jul 16 2002 Karsten Hopp <karsten@redhat.de> 1.0.2-1
- update (#68838)
- use desktop-file-install
- fix path to help files

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jul 23 2001 Jonathan Blandford <jrb@redhat.com>
- Add BuildRequires

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 19 2000 Jonathan Blandford <jrb@redhat.com>
- Updated to new version.  Added locale information.  Fixed
  build directive to reflect new build system.

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description and summary

* Mon Jan 17 2000 Elliot Lee <sopwith@redhat.com>
- Fix group.

* Wed Jul 7 1999 Michael Fulbright <drmike@redhat.com>
- version 0.7.0

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries
* Sat Mar 6 1999 Michael Fulbright <drmike@redhat.com>
- version 0.6.0
* Wed Oct 7 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.2
* Fri Sep 11 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.1
* Sat Aug 15 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.0
* Wed Aug 5 1998 Joel Young <jyoung@erols.com>
- enhanced rpm .spec file

